跳到主要内容

HACCP list

GET 

/api/public/haccp-service/haccps

信息

We recommend fetching updates in a daily tact in a day period, practically for yesterday, and store them in your system. Doing so you will always get all updates even for historical batches older than one month, if it gets updated.


Only HACCP data within a recent month period can be fetched via the API. For example, on 12th April you can only access data since 12th March but not older.

The time period boundaries (parameters from and to) are related to when the data was lastly updated, not to the start datetime of the batch. The reason is that a batch can be updated multiple times as data is often updated retrospectively. Using the last update timestamp assures that the fetched data is up-to-date at the time of requesting. Date of the last update is requested always in UTC.

When fetching data for the current day, there is no guarantee that the data will not be updated later that day and needs to be fetched again when the day is over (according to UTC). When no time range is set, last seven days are fetched and sorted by when data was updated (updatedAt).

Request

Responses

Response Headers
    x-total-count

    The number of total devices

    Example: 69
    link

    Pagination links for first, last and next page.

    Example: </api/public/haccp-service/haccp?page=1&size=20>; rel="next",</api/public/haccp-service/haccp?page=7&size=20>; rel="last",</api/public/haccp-service/haccp?page=0&size=20>; rel="first"